
package org.gjt.bugrat.db;

import java.io.Serializable;
import java.util.Date;
import java.util.Hashtable;
import java.util.Vector;

import org.gjt.bugrat.dbi.*;


public
class		Comment
extends		JartDBObject
implements	Cloneable
	{
	private int				id;

	private String			target;
	private int				targetid;
	private Date			cmttime;
	private int				commentor;
	private Description		desc;


	public static Comment
	getComment( int id )
		throws DBIException
		{
		Comment cmt =
			DBIManager.getInstance().getDescriptionDBI().getComment( id );
		return cmt;
		}

	public static Comment
	getNewComment()
		throws DBIException
		{
		return DBIManager.getInstance().getDescriptionDBI().getNewComment();
		}

	public static Vector
	getComments( String target, int targetId )
		throws DBIException
		{
		return DBIManager.getInstance().getDescriptionDBI().getComments( target, targetId );
		}

	public
	Comment( int id )
		{
		this.id = id;
		}

	public int
	getId()
		{
		return this.id;
		}

	public String
	getTarget()
		{
		return this.target;
		}

	public void
	setTarget( String target )
		{
		this.target = target;
		}

	public int
	getTargetId()
		{
		return this.targetid;
		}

	public void
	setTargetId( int id )
		{
		this.targetid = id;
		}

	public Description
	getDescription()
		{
		return this.desc;
		}

	public void
	setDescription( Description desc )
		{
		this.desc = desc;
		}

	public int
	getCommentorId()
		{
		return this.commentor;
		}

	public void
	setCommentorId( int id )
		{
		this.commentor = id;
		}

	public Date
	getCommentTime()
		{
		return this.cmttime;
		}

	public void
	setCommentTime( Date time )
		{
		this.cmttime = time;
		}

	public void
	commit()
		throws DBIException
		{
		this.getDBI().commit( this );
		}

	public Object
	clone()
		{
		Comment cmt =
			(Comment) super.clone();		

		cmt.id = this.id;
		cmt.target = this.target;
		cmt.targetid = this.targetid;
		cmt.desc = (Description) this.desc.clone();
		cmt.commentor = this.commentor;
		cmt.cmttime = new Date( this.cmttime.getTime() );

		return desc;
		}

	private DescriptionDBI
	getDBI()
		throws DBIException
		{
		return DBIManager.getInstance().getDescriptionDBI();
		}

	public String
	toString()
		{
		return "[" + super.toString()
			+ " cmtId=" + this.id + "]";
		}

	}

