
package org.gjt.bugrat.dbi;

import org.gjt.bugrat.servlet.*;


public class
BugRatJServ extends Object
	{
	protected String		url;
	protected String		user;
	protected String		pass;
	protected int			requestCounter;


	public
	BugRatJServ( String url, String user, String pass )
		{
		this.url = url;
		this.user = user;
		this.pass = pass;
		this.requestCounter = 2001;
		}

	/**
	 * This method checks that the user's login information is
	 * valid. If this method returns without throwing an exception,
	 * then the information is valid. If the method throws an
	 * exception, then either the login was invalid, or the csapi
	 * servlet is not responding. It appears to not be possible to
	 * determine which case is true, as both return IOExceptions.
	 */

	public static void
	verifyLogin( String url, String user, String pass )
		throws JSRVException
		{
		JSRVRequest request =
			new JSRVRequest
				( "JSRV_Login", JSRVConstants.REQ_NOOP );

		JSRVConnection conn =
			new JSRVConnection( url, user, pass );

		JSRVResponse response =
			conn.performRequest( request );

		if ( ! response.getSuccess() )
			{
			throw new JSRVException
				( "JSRV request was executed but failed." );
			}
		}

	}

