
package org.gjt.bugrat.dbi;

import java.util.Vector;

import org.gjt.bugrat.db.*;
import org.gjt.bugrat.servlet.*;


public class
CategoryJServ extends BugRatJServ
	implements CategoryDBI
	{
	public
	CategoryJServ( String url, String user, String pass )
		{
		super( url, user, pass );
		}

	public Category
	getCategory( String pkg, String cat, String sub )
		throws DBIException
		{
		throw new DBIException( "UNIMPLEMENTED" );
		}

	public Vector
	getAllCategories()
		throws DBIException
		{
		Vector result = new Vector();

		try {
			this.requestCounter++;

			JSRVRequest request =
				new JSRVRequest
					( "Cat" + this.requestCounter,
						JSRVConstants.REQ_GET_ALLCATEGORIES );

			JSRVConnection conn =
				new JSRVConnection
					( this.url, this.user, this.pass );

			JSRVResponse response =
				conn.performRequest( request );

			if ( response.getSuccess() )
				result = (Vector)
					response.getResult
						( JSRVConstants.P_CATEGORY_VECTOR );
			}
		catch ( JSRVException ex )
			{
			throw new DBIException
				( "Jart Servlet error: " + ex.getMessage() );
			}

		return result;
		}

	public void
	commit( Category lp )
		throws DBIException
		{
		throw new DBIException( "UNIMPLEMENTED" );
		}

	}

