
package org.gjt.bugrat.mail;

import java.io.IOException;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.OutputStream;
import javax.activation.DataSource;


public
class		StringDataSource
extends		Object
implements	DataSource
	{
	private String			data;
	private String			name;
	private String			contentType;

	public
	StringDataSource( String data, String name, String contentType )
		{
		this.data = data;

		this.name =
			(name == null)
				? "Untitled" : name;

		this.contentType =
			(contentType == null)
				? "text/plain" : contentType;
		}

	public String
	getContentType()
		{
		return this.contentType;
		}

	public String
	getName()
		{
		return this.name;
		}

	public InputStream
	getInputStream()
		throws IOException
		{
		return new ByteArrayInputStream( this.data.getBytes() );
		}

	public OutputStream
	getOutputStream()
		throws IOException
		{
		throw new IOException
			( "StringDataSource is read-only" );
		}
	}
