
package org.gjt.bugrat.servlet;

import java.io.*;
import java.net.*;


public class
JSRVException extends Exception
	{
	private int			errCode;
	private String		errMsg;


	public
	JSRVException( int errCode, String errMsg )
		{
		super();
		this.errCode = errCode;
		this.errMsg = errMsg;
		}

	public
	JSRVException( String msg, int errCode, String errMsg )
		{
		super( msg );
		this.errCode = errCode;
		this.errMsg = errMsg;
		}

	public
	JSRVException( String msg )
		{
		super( msg );
		this.errCode = 0;
		this.errMsg = "";
		}

	public int
	getErrorCode()
		{
		return this.errCode;
		}

	public String
	getErrorMessage()
		{
		return this.errMsg;
		}

	}

