
################################################################
#
# Project 'example'
#
################################################################
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', '.', '.', 'Example Application',
		'The Example Application used for the test database.' );

################################################################
#
# Category 'example.feature'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'feature', '.', 'Feature Requests',
		'Requests for new features, enhancements, or other changes.' );

#
# SubCategory 'example.feature.new'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'feature', 'new', 'New Feature',
		'Request for new features.' );

#
# SubCategory 'example.feature.enhance'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'feature', 'enhance', 'Enhancement',
		'Request for enhancements to existing features.' );

################################################################
#
# Category 'example.ui'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'ui', '.', 'User Interface',
		'Problems related to the user interface, including dialogs, windows, etc.' );

#
# SubCategory 'example.ui.compose'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'ui', 'compose', 'Compose Window',
		'Problems related to the window that composes new messages.' );

#
# SubCategory 'example.ui.viewer'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'ui', 'viewer', 'Message Viewer',
		'Problems related to the panel that views messages and their attachments.' );

#
# SubCategory 'example.ui.tree'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'ui', 'tree', 'Store and Folder Tree',
		'Problems related to the panel that shows the tree of Stores and Folders.' );

################################################################
#
# Category 'example.api'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'api', '.', 'JavaMail API',
		'Problems related to Application use of the JavaMail API.' );

#
# SubCategory 'example.api.transport'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'api', 'transport', 'Transport',
		'Problems related to the use of the JavaMail API Transport (sending email).' );

#
# SubCategory 'example.api.store'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'api', 'store', 'Store',
		'Problems related to the use of the JavaMail API Store (email folders).' );

################################################################
#
# Category 'example.general'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'general', '.', 'General Problems',
		'Problems that do not fit in any other category.' );

#
# SubCategory 'example.general.general'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'example', 'general', 'general', 'General Problems',
		'Problems that do not fit in any other category.' );

