
################################################################
#
# Project 'icemail'
#
################################################################
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', '.', '.', 'ICEMail',
		'The ICEMail Email Client Application' );

################################################################
#
# Category 'icemail.feature'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'feature', '.', 'Feature Requests',
		'Requests for new features, enhancements, or other changes.' );

#
# Category 'icemail.feature.new'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'feature', 'new', 'New Feature',
		'Request for new features.' );

#
# Category 'icemail.feature.enhance'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'feature', 'enhance', 'Enhancement',
		'Request for enhancements to existing features.' );

################################################################
#
# Category 'icemail.ui'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'ui', '.', 'User Interface',
		'Problems related to the user interface, including dialogs, windows, etc.' );

#
# SubCategory 'icemail.ui.compose'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'ui', 'compose', 'Compose Window',
		'Problems related to the window that composes new messages.' );

#
# SubCategory 'icemail.ui.viewer'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'ui', 'viewer', 'Message Viewer',
		'Problems related to the panel that views messages and their attachments.' );

#
# SubCategory 'icemail.ui.tree'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'ui', 'tree', 'Store and Folder Tree',
		'Problems related to the panel that shows the tree of Stores and Folders.' );

################################################################
#
# Category 'icemail.api'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'api', '.', 'JavaMail API',
		'Problems related to ICEMail''s use of the JavaMail API.' );

#
# SubCategory 'icemail.api.transport'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'api', 'transport', 'Transport',
		'Problems related to the use of the JavaMail API Transport (sending email).' );

#
# SubCategory 'icemail.api.store'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'api', 'store', 'Store',
		'Problems related to the use of the JavaMail API Store (email folders).' );

################################################################
#
# Category 'icemail.general'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'general', '.', 'General Problems',
		'Problems that do not fit in any other category.' );

#
# SubCategory 'icemail.general.general'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'icemail', 'general', 'general', 'General Problems',
		'Problems that do not fit in any other category.' );


################################################################
#
# Project 'jcvs'
#
################################################################
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', '.', '.', 'jCVS',
		'The jCVS Java CVS client application.' );

################################################################
#
# Category 'jcvs.feature'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'feature', '.', 'Feature Requests',
		'Requests for new features, enhancements, or other changes.' );

#
# Category 'jcvs.feature.new'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'feature', 'new', 'New Feature',
		'Request for new features.' );

#
# Category 'jcvs.feature.enhance'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'feature', 'enhance', 'Enhancement',
		'Request for enhancements to existing features.' );

################################################################
#
# Category 'jcvs.ui'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'ui', '.', 'User Interface',
		'Problems related to the user interface, including dialogs, windows, etc.' );

#
# SubCategory 'jcvs.ui.project'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'ui', 'project', 'Project Window',
		'Problems related to the Project window and project control.' );

#
# SubCategory 'jcvs.ui.config'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'ui', 'config', 'Configuration',
		'Problems related to the configuration of jCVS.' );

#
# SubCategory 'jcvs.ui.other'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'ui', 'other', 'Other UI Problems',
		'Other user interface problems.' );

################################################################
#
# Category 'jcvs.protocol'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'protocol', '.', 'CVS Client/Server Protocol',
		'Problems related to the CVS client/server protocol.' );

#
# SubCategory 'jcvs.protocol.connect'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'protocol', 'connect', 'Connecting',
		'Problems related to establishing the client/server connection.' );

#
# SubCategory 'jcvs.protocol.auth'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'protocol', 'auth', 'Authorization',
		'Problems related to the authorization of the client user.' );

#
# SubCategory 'jcvs.protocol.other'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'protocol', 'other', 'Other Protocol Problems',
		'Other client/server protocol problems.' );

################################################################
#
# Category 'jcvs.general'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'general', '.', 'General Problems',
		'Problems that do not fit in any other category.' );

#
# SubCategory 'jcvs.general.general'
#
INSERT INTO category
	( pkg, cat, sub, name, catdesc )
VALUES
	( 'jcvs', 'general', 'general', 'General Problems',
		'Problems that do not fit in any other category.' );
