#
# P R O P E R T I E S
#

UPDATE properties
	SET propval = '#E0E0E0'
	WHERE propkey = 'reportServlet.bgColor';

UPDATE properties
	SET propval = '#B0E0B0'
	WHERE propkey = 'reportServlet.reqColor';

UPDATE properties
	SET propval = '#B0E0B0'
	WHERE propkey = 'reportServlet.okColor';

UPDATE properties
	SET propval = '#E0B0B0'
	WHERE propkey = 'reportServlet.errColor';

UPDATE properties
	SET propval =
		'<font size="+1"><strong>GJT BugRat Report</strong></font>'
	WHERE propkey = 'reportServlet.title';

UPDATE properties
	SET propval = '/images/logos/bugrat.gif'
	WHERE propkey = 'reportServlet.logoURL';

#
# Define these only for custom pages
#
UPDATE properties
	SET propval = '<html>
		<head>
		<title>BugRat Report Form</title>
		</head>
		<body background="/images/common/background.gif">

		<table border="0" cellpadding="0">

		<tr>
		<td align="left" colspan="2">
		<a href="http://www.gjt.org/">
		<img src="/images/common/titlelogo.gif" border="0">
		</a>
		</td>
		</tr>

		<tr>
		<td align="left" valign="top" width="110" height="350">

		<font size="+1">
		<strong>Contents</strong>
		</font>

		<br>
		<a href="/info/">Info</a>
		<br>
		<a href="/bug/">Bugs</a>
		<br>
		<a href="/doc/">Docs</a>
		<br>
		<a href="/src/">Source</a>
		<br>
		<a href="/mail/">Email</a>
		<br>
		<a href="/download/">Download</a>
		<br>
		<a href="/dev/">Developer</a>
		<br>

		<p>

		<font size="+1">
		<strong>Bugs</strong>
		</font>
		<br>
		<a href="/servlets/BugRatReport/ReportForm.html">Report</a>
		<br>
		<a href="/servlets/BugRatViewer/Index.html">Browse</a>
		<br>
		<a href="/servlets/BugRatViewer/Index.html">Search</a>
		<br>
		<a href="/bug/email/">Email</a>
		<br>
		
		</td>

		<td align="left" valign="top">
		'
	WHERE propkey = 'reportServlet.htmlHead';

UPDATE properties
	SET propval = '
		<hr>
		<center>
		<font size="-2">

		All contents are copyrighted (c) by their respective authors.
		All rights reserved.

		<br>

		All contents are licensed under the
		<a href="http://www.gjt.org/doc/gpl/">
		General Public License.
		</a>

		</font>
		</center>

		</td>
		</tr>
		</table>

		</body>
		</html>
		'
	WHERE propkey = 'reportServlet.htmlTail';

UPDATE properties
	SET propval = '
		<body background="/images/common/background.gif">
		
		<table border="0" cellpadding="0">
		
		<tr>
		<td align="left" colspan="2">
		<a href="http://www.gjt.org/">
		<img src="/images/common/titlelogo.gif" border="0">
		</a>
		</td>
		</tr>

		<tr>
		<td align="left" valign="top" width="110" height="350">

		<font size="+1">
		<strong>Contents</strong>
		</font>

		<br>
		<a href="/info/">Info</a>
		<br>
		<a href="/bug/">Bugs</a>
		<br>
		<a href="/doc/">Docs</a>
		<br>
		<a href="/src/">Source</a>
		<br>
		<a href="/mail/">Email</a>
		<br>
		<a href="/download/">Download</a>
		<br>
		<a href="/dev/">Developer</a>
		<br>

		<p>

		<font size="+1">
		<strong>Bugs</strong>
		</font>
		<br>
		<a href="/servlets/BugRatReport/ReportForm.html">Report</a>
		<br>
		<a href="/servlets/BugRatViewer/Index.html">Browse</a>
		<br>
		<a href="/servlets/BugRatViewer/Index.html">Search</a>
		<br>
		<a href="/bug/email/">Email</a>
		<br>
		
		</td>

		<td align="left" valign="top">
		'
	WHERE propkey = 'servletCommon.htmlBody';

UPDATE properties
	SET propval = '
		<hr>
		<center>
		<font size="-2">

		All contents are copyrighted (c) by their respective authors.
		All rights reserved.

		<br>

		All contents are licensed under the
		<a href="http://www.gjt.org/doc/gpl/">
		General Public License.
		</a>

		</font>
		</center>

		</td>
		</tr>
		</table>

		</body>
		</html>
		'
	WHERE propkey = 'servletCommon.htmlTail';


UPDATE properties
	SET propval = '<html>
		<head>
		<title>BugRat Viewer</title>
		</head>
		'
	WHERE propkey = 'viewServlet.htmlHead';

UPDATE properties
	SET propval = '
		<h2>BugRat Database Viewer</h2>
		These pages are designed to let you browse and search
		the BugRat database for the Giant Java Tree. Use the
		list of functions below to link to the function you
		wish to perform.
		<p>
		You can also
		<a href="/servlets/BugRatReport/ReportForm.html">
		report a bug using the online bug report form.
		</a>

		<hr>
		<p>

		<ul>
		<li>Display a specific bug report number.
		<li>Display all bugs in the database.
		<li>
			<a href="ShowProjectAll.html">
			Display all bugs in a specific project.
			</a>
		<li>Search for bug in a specific project.
		<li>Search for bug in a specific category.
		</ul>
		'
	WHERE propkey = 'viewServlet.indexHtml';

UPDATE properties
	SET propval = 'bugreport@gjt.org'
	WHERE propkey = 'bratm.robotAddress';

UPDATE properties
	SET propval = 'bugadmin@gjt.org'
	WHERE propkey = 'bratm.adminAddress';

