
package org.gjt.bugrat.dbi;


public class
DBIException extends Exception
	{
	private Exception		nestedEx;


	public
	DBIException( String msg )
		{
		super( msg );
		this.nestedEx = null;
		}

	public
	DBIException( Exception ex, String msg )
		{
		super( msg );
		this.nestedEx = ex;
		}

	public String
	getMessage()
		{
		StringBuffer buf = new StringBuffer();

		buf.append( super.getMessage() );
		if ( this.nestedEx != null )
			{
			buf.append( "\n   Nested Exception: " );
			buf.append( this.nestedEx.getMessage() );
			}

		return buf.toString();
		}

	public Exception
	getException()
		{
		return this.nestedEx;
		}

	}
