
package org.gjt.bugrat.dbi;

import java.util.Hashtable;
import java.util.Vector;

import org.gjt.bugrat.db.*;


public interface
DescriptionDBI
	{

	public Description
		getDescription( int id )
			throws DBIException;

	public Description
		getNewDescription( )
			throws DBIException;

	public EnvDescription
		getEnvDescription( int id )
			throws DBIException;

	public EnvDescription
		getNewEnvDescription()
			throws DBIException;

	public Comment
		getComment( int id )
			throws DBIException;

	public Comment
		getNewComment()
			throws DBIException;

	public Vector
		getComments( String target, int targetId )
			throws DBIException;

	public void
		commit( Description desc )
			throws DBIException;

	public void
		commit( EnvDescription desc )
			throws DBIException;

	public void
		commit( Comment cmt )
			throws DBIException;

	}

