
package org.gjt.bugrat.dbi;

import java.util.Vector;
import java.util.Hashtable;
import org.gjt.bugrat.db.*;


public interface
ReportDBI
	{

	public Report
		getNewReport()
			throws DBIException;

	public Report
		getReport( int reportId )
			throws DBIException;

	public Vector
		matchReports( String whereExpr )
			throws DBIException;

	public void
		commit( Report rep )
			throws DBIException;

	public void
		linkReport( int reportId, int bugId )
			throws DBIException;

	public boolean
		isReportLinkedToBug( int repId, int bugId )
			throws DBIException;
	}

