
package org.gjt.bugrat.servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Vector;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public
interface		BugRatHTML
	{
	public void sendCommonHeader
		( BugRatRequest bReq, PrintWriter cW );

	public void sendCommonHeader
		( BugRatRequest bReq, PrintWriter cW, String title );

	public void sendCommonTrailer
		( BugRatRequest bReq, PrintWriter cW );

	public void reportError
		( BugRatRequest bReq, PrintWriter cW, String errorHtml )
		throws IOException;

	public void listCategories( BugRatRequest bReq )
		throws IOException;

	public void listPeople( BugRatRequest bReq )
		throws IOException;

	public void showAllProjectBugs( BugRatRequest bReq )
		throws IOException;

	public void showAllProjectReports( BugRatRequest bReq )
		throws IOException;

	public void showAllStatistics( BugRatRequest bReq )
		throws IOException;

	public void showBug( BugRatRequest bReq, PrintWriter cW, int id )
		throws IOException;

	public void showReport( BugRatRequest bReq, PrintWriter cW, int id )
		throws IOException;

	public void showActions( BugRatRequest bReq, String context, int id )
		throws IOException;

	public void showComment( BugRatRequest bReq, PrintWriter cW, int id )
		throws IOException;

	public void showComments( BugRatRequest bReq, String context, int id )
		throws IOException;

	public void showEmailMessage( BugRatRequest bReq, PrintWriter cW, int id )
		throws IOException;

	public void showAllBugs( BugRatRequest bReq )
		throws IOException;

	public void showAllReports( BugRatRequest bReq, String options )
		throws IOException;

	public void sendSelectAll( BugRatRequest bReq, String action )
		throws IOException;

	public void sendSelectProject( BugRatRequest bReq, String action )
		throws IOException;

	public void sendSelectCategory
		( BugRatRequest bReq, String project, String action )
		throws IOException;

	public void sendSelectSubCategory
		( BugRatRequest bReq, String project, String category, String action )
		throws IOException;

	public void sendBugIDForm( BugRatRequest bReq, String action )
		throws IOException;

	public void sendReportIDForm( BugRatRequest bReq, String action )
		throws IOException;

	public void showBugs
		( BugRatRequest bReq, PrintWriter cW,
			String title, Vector repV, String action )
		throws IOException;

	public void showReports
		( BugRatRequest bReq, PrintWriter cW,
			String title, Vector repV, String action )
		throws IOException;

	public void sendCommentForm
		( BugRatRequest bReq, String tgtName, int id )
		throws IOException;

	public void sendTableTitle
		( BugRatRequest bReq, PrintWriter cW, String title )
		throws IOException;

	public void sendPersonSelector
		( BugRatRequest bReq, PrintWriter cW, int selId, int avoidId,
			String fieldName, String preOptions, String postOptions )
		throws IOException;

	public void sendSelectPersonPage( BugRatRequest bReq )
		throws IOException;

	public void sendEditPersonForm
		( BugRatRequest bReq, PrintWriter cW, int personId, boolean committed )
		throws IOException;

	public void sendImage( BugRatRequest bReq )
		throws IOException;

	// POST REQUESTS

	public void processChooseBug( BugRatRequest bReq )
		throws IOException;

	public void processChooseReport( BugRatRequest bReq )
		throws IOException;
	}

