
package org.gjt.bugrat.servlet;

import java.io.Serializable;
import java.util.Hashtable;


public class
JSRVRequest extends Object
	implements Serializable
	{
	int			apiVersion;

	String		requestId;
	int			request;
	Hashtable	parameters;


	public
	JSRVRequest( String reqId, int req )
		{
		this( reqId, req, new Hashtable() );
		}

	public
	JSRVRequest( String reqId, int req, Hashtable parameters )
		{
		this.requestId = reqId;
		this.request = req;
		this.parameters = parameters;
		}

	public int
	getRequest()
		{
		return this.request;
		}

	public String
	getRequestId()
		{
		return this.requestId;
		}

	public Object
	getParameter( String parmName )
		{
		return this.parameters.get( parmName );
		}

	public void
	setParameter( String parmName, Object parameter )
		{
		if ( parameter != null )
			this.parameters.put( parmName, parameter );
		}

	}

